/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package project.core;

import org.junit.jupiter.api.Test;
import org.junit.platform.commons.annotation.Testable;
import project.common.CheckField;
import project.database.Book;
import project.database.User;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.sql.ResultSet;

import static org.junit.jupiter.api.Assertions.*;

class AppTest {
    @Test
    @Testable
    public void getChecker() {
        assertNotEquals(CheckField.checkNumber("Asdqwe"), String.class);
    }

    @Test
    public void getData() {
        Book book = new Book();
        User user = new User();

        try {
            ResultSet rs = book.getDetails();
            ResultSet rs2 = user.getDetails();
            System.out.println("ID\t\t\tCreated at\t\tUpdated at ");

            while (rs.next()) {
                System.out.println(rs.getString("book_id") + "\t\t\t"
                        + rs.getString("created_at") + "\t"
                        + rs.getString("updated_at"));
            }

            System.out.println("----------------------------------------------------------------");
            System.out.println("For User\nCreated at\t\t\tUpdated at ");
            while (rs2.next()) {
                System.out.println(rs2.getString("created_at") + "\t\t"
                        + rs2.getString("updated_at"));
            }
        } catch (Exception e) {
            System.out.println("AppTest.main()" + e.getMessage());
        }
    }

    /* output for Test in terminal / console */

    @Test
    void hasMainMethod() throws NoSuchMethodException {
        Class<?> clazz = App.class;
        Method mainMethod = clazz.getMethod("main", String[].class);
        assertNotNull(mainMethod);
        assertTrue(Modifier.isStatic(mainMethod.getModifiers()));
        assertEquals(void.class, mainMethod.getReturnType());
    }
}
